<template>
  <div class="home">
    <img alt="Vue logo" src="../../assets/logo.png" />
    <div class="keycloak">
      <button @click="showKeycloakObj(keycloak)">
        {{
          checkKeycloakTxt
            ? "hide what's inside keycloak obj"
            : "check what's inside keycloak obj"
        }}
      </button>
      <!-- <p>{{ test }}</p> -->
      <transition name="keycloak-txt">
        <pre id="json" v-if="checkKeycloakTxt"> {{ keycloakTxt }}</pre>
      </transition>
    </div>
  </div>
</template>

<script>
// @ is an alias to /src

export default {
  name: "KeycloakOptions",
  components: {},
  props: ["keycloak"],
  data() {
    return {
      keycloakTxt: "",
      checkKeycloakTxt: false,
    };
  },
  methods: {
    showKeycloakObj(keycloak) {
      console.log(keycloak);
      this.keycloakTxt = JSON.stringify(keycloak, null, 2);
      this.checkKeycloakTxt = !this.checkKeycloakTxt;
    },
  },
};
</script>
<style scoped>
#json {
  word-wrap: break-word;
  margin: 0 auto;
  width: 90%;
  text-align: left;
  word-wrap: break-word;
  white-space: pre-wrap; /* css-3 */
  white-space: -moz-pre-wrap; /* Mozilla, since 1999 */
  white-space: -pre-wrap; /* Opera 4-6 */
  white-space: -o-pre-wrap; /* Opera 7 */
}
/* .keycloak-txt-enter-active,
.keycloak-txt-leave-active {
  transition: opacity 0.5s ease;
} */
</style>
